HTTP::Server::RequestProcessor - Crystal 1.7.1

# class HTTP::Server::RequestProcessor

- HTTP::Server::RequestProcessor
- Reference
- Object

##
Defined in:

http/server/request_processor.cr

##
Constant Summary

Log = `::Log.for("http.server")`

##
Constructors

- .new(&handler : HTTP::Handler::HandlerProc)
- .new(handler : HTTP::Handler | HTTP::Handler::HandlerProc)

##
Instance Method Summary

- #close : Nil
- #max_headers_size : Int32

  Maximum permitted combined size of the headers in an HTTP request.

- #max_headers_size=(max_headers_size : Int32)

  Maximum permitted combined size of the headers in an HTTP request.

- #max_request_line_size : Int32

  Maximum permitted size of the request line in an HTTP request.

- #max_request_line_size=(max_request_line_size : Int32)

  Maximum permitted size of the request line in an HTTP request.

- #process(input, output) : Nil

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message = nil) not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(&handler : HTTP::Handler::HandlerProc) #
def self.new(handler : HTTP::Handler | HTTP::Handler::HandlerProc) #

##
Instance Method Detail

def close : Nil #
def max_headers_size : Int32 #

Maximum permitted combined size of the headers in an HTTP request.

def max_headers_size=(max_headers_size : Int32) #

Maximum permitted combined size of the headers in an HTTP request.

def max_request_line_size : Int32 #

Maximum permitted size of the request line in an HTTP request.

def max_request_line_size=(max_request_line_size : Int32) #

Maximum permitted size of the request line in an HTTP request.

def process(input, output) : Nil #